# Ceres

🪐 Streamline Android Development with Compose, Hilt, Coroutines, and Flow Integration.

## Download
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
[![Maven Central](https://img.shields.io/maven-central/v/dev.teogor.ceres/bom.svg?label=Maven%20Central)](https://central.sonatype.com/search?q=g%3Adev.teogor.ceres+a%3Abom&smo=true)
[![API](https://img.shields.io/badge/API-21%2B-brightgreen.svg?style=flat)](https://android-arsenal.com/api?level=21)
[![Android CI](https://github.com/teogor/ceres/actions/workflows/android.yml/badge.svg)](https://github.com/teogor/ceres/actions/workflows/android.yml)
[![Profile](https://source.teogor.dev/badges/teogor-github.svg)](https://github.com/teogor)
[![Portfolio](https://source.teogor.dev/badges/teogor-dev.svg)](https://teogor.dev)

### Gradle

Add the dependency below to your **module**'s `build.*` file.
- for `build.gradle`
```gradle
dependencies {
  implementation platform("dev.teogor.ceres:bom:1.0.0-alpha01")
}
```
- for `build.gradle.kts`
```kotlin
dependencies {
  implementation(platform("dev.teogor.ceres:bom:1.0.0-alpha01"))
}
```

> **Note**: This library has more modules therefore include only the ones that you want to use.

## Find this repository useful? :heart:
Support it by joining __[stargazers](https://github.com/teogor/ceres/stargazers)__ for this repository. :star: <br>
Also, __[follow me](https://github.com/teogor)__ on GitHub for my next creations! 🤩

# License
```xml
  Designed and developed by 2022 teogor (Teodor Grigor)

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
```
