# Security Policy

## Supported Versions

Please refer to this table to see which versions of the project are currently receiving security
updates:

| Version | Supported          |
|---------|--------------------|
| Release | :white_check_mark: |
| ALPHA   | :x:                |
| BETA    | :x:                |


## Reporting a Vulnerability

If you discover a security vulnerability within this project, please follow these steps:

1. **Do Not Disclose Publicly:** Do not publicly disclose the vulnerability until it has been
   addressed and a security release is available.

2. **Contact Us:** Report the vulnerability to us by sending an email
   to [open-source@teogor.dev](mailto:open-source@teogor.dev). You can encrypt sensitive information
   using our [PGP key](https://source.teogor.dev/security/pgp-key) to ensure the confidentiality of the report.

3. **Provide Details:** Please provide us with detailed information about the vulnerability,
   including steps to reproduce, affected versions, and potential impact.

4. **Acknowledgment:** We will acknowledge your report within 48 hours to confirm that we have
   received it and are investigating.

5. **Resolution:** Our security team will work to validate and address the vulnerability. We will
   keep you informed about our progress and expected timelines for resolution.

6. **Disclosure:** Once the vulnerability is fixed and a release is available, we will work with you
   to determine an appropriate timeline for public disclosure. We appreciate your patience during
   this process.

Thank you for helping us improve the security of our project.

*[PGP key](https://source.teogor.dev/security/pgp-key)*
