## Ceres core

| Status | Library | Gradle dependency |
| ------ | ------- | ----------------- |
| 🧪 | [Ceres Core Network](/core/network) | [dev.teogor.ceres:core-network:1.0.0-alpha01](#implementation-ceres-core-network) |
| 🧪 | [Ceres Core Notifications](/core/notifications) | [dev.teogor.ceres:core-notifications:1.0.0-alpha01](#implementation-ceres-core-notifications) |
| 🧪 | [Ceres Core Runtime](/core/runtime) | [dev.teogor.ceres:core-runtime:1.0.0-alpha01](#implementation-ceres-core-runtime) |
| 🧪 | [Ceres Core Startup](/core/startup) | [dev.teogor.ceres:core-startup:1.0.0-alpha01](#implementation-ceres-core-startup) |

By referring to the [BoM documentation](/docs/bom/versions.md), you can learn how to integrate the BoM into your project and benefit from this hassle-free approach to library version management. It's a powerful tool for staying up-to-date with the latest Ceres library versions and seamlessly integrating them into your projects.


### Implementation Ceres Core Network

To use Ceres Core Network in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:core-network:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `core-network`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Core Notifications

To use Ceres Core Notifications in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:core-notifications:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `core-notifications`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Core Runtime

To use Ceres Core Runtime in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:core-runtime:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `core-runtime`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Core Startup

To use Ceres Core Startup in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:core-startup:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `core-startup`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))


