## Ceres firebase

| Status | Library | Gradle dependency |
| ------ | ------- | ----------------- |
| 🧪 | [Ceres Firebase Analytics](/firebase/analytics) | [dev.teogor.ceres:firebase-analytics:1.0.0-alpha01](#implementation-ceres-firebase-analytics) |
| 🧪 | [Ceres Firebase Crashlytics](/firebase/crashlytics) | [dev.teogor.ceres:firebase-crashlytics:1.0.0-alpha01](#implementation-ceres-firebase-crashlytics) |
| 🧪 | [Ceres Firebase Remote-Config](/firebase/remote-config) | [dev.teogor.ceres:firebase-remote-config:1.0.0-alpha01](#implementation-ceres-firebase-remote-config) |

By referring to the [BoM documentation](/docs/bom/versions.md), you can learn how to integrate the BoM into your project and benefit from this hassle-free approach to library version management. It's a powerful tool for staying up-to-date with the latest Ceres library versions and seamlessly integrating them into your projects.


### Implementation Ceres Firebase Analytics

To use Ceres Firebase Analytics in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:firebase-analytics:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `firebase-analytics`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Firebase Crashlytics

To use Ceres Firebase Crashlytics in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:firebase-crashlytics:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `firebase-crashlytics`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Firebase Remote-Config

To use Ceres Firebase Remote-Config in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:firebase-remote-config:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `firebase-remote-config`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))


