## Ceres monetisation

| Status | Library | Gradle dependency |
| ------ | ------- | ----------------- |
| 🧪 | [Ceres Monetisation AdMob](/monetisation/admob) | [dev.teogor.ceres:monetisation-admob:1.0.0-alpha01](#implementation-ceres-monetisation-admob) |
| 🧪 | [Ceres Monetisation Messaging](/monetisation/messaging) | [dev.teogor.ceres:monetisation-messaging:1.0.0-alpha01](#implementation-ceres-monetisation-messaging) |

By referring to the [BoM documentation](/docs/bom/versions.md), you can learn how to integrate the BoM into your project and benefit from this hassle-free approach to library version management. It's a powerful tool for staying up-to-date with the latest Ceres library versions and seamlessly integrating them into your projects.


### Implementation Ceres Monetisation AdMob

To use Ceres Monetisation AdMob in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:monetisation-admob:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `monetisation-admob`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres Monetisation Messaging

To use Ceres Monetisation Messaging in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:monetisation-messaging:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `monetisation-messaging`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))


