## Ceres ui

| Status | Library | Gradle dependency |
| ------ | ------- | ----------------- |
| 🧪 | [Ceres UI Compose](/ui/compose) | [dev.teogor.ceres:ui-compose:1.0.0-alpha01](#implementation-ceres-ui-compose) |
| 🧪 | [Ceres UI Design-System](/ui/designsystem) | [dev.teogor.ceres:ui-designsystem:1.0.0-alpha01](#implementation-ceres-ui-design-system) |
| 🧪 | [Ceres UI Foundation](/ui/foundation) | [dev.teogor.ceres:ui-foundation:1.0.0-alpha01](#implementation-ceres-ui-foundation) |
| 🧪 | [Ceres UI Icons](/ui/icons) | [dev.teogor.ceres:ui-icons:1.0.0-alpha01](#implementation-ceres-ui-icons) |
| 🧪 | [Ceres UI Spectrum](/ui/spectrum) | [dev.teogor.ceres:ui-spectrum:1.0.0-alpha01](#implementation-ceres-ui-spectrum) |
| 🧪 | [Ceres UI Theme](/ui/theme) | [dev.teogor.ceres:ui-theme:1.0.0-alpha01](#implementation-ceres-ui-theme) |

By referring to the [BoM documentation](/docs/bom/versions.md), you can learn how to integrate the BoM into your project and benefit from this hassle-free approach to library version management. It's a powerful tool for staying up-to-date with the latest Ceres library versions and seamlessly integrating them into your projects.


### Implementation Ceres UI Compose

To use Ceres UI Compose in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:ui-compose:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `ui-compose`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres UI Design-System

To use Ceres UI Design-System in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:ui-designsystem:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `ui-designsystem`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres UI Foundation

To use Ceres UI Foundation in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:ui-foundation:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `ui-foundation`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres UI Icons

To use Ceres UI Icons in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:ui-icons:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `ui-icons`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres UI Spectrum

To use Ceres UI Spectrum in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:ui-spectrum:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `ui-spectrum`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))

### Implementation Ceres UI Theme

To use Ceres UI Theme in your Android project, add the following dependency to your module-level Gradle file (usually `app/build.gradle.kts`):

```kotlin
implementation("dev.teogor.ceres:ui-theme:1.0.0-alpha01")
```

#### Gradle Dependency

- **Group ID:** `dev.teogor.ceres`
- **Artifact ID:** `ui-theme`
- **Version:** `1.0.0-alpha01` (not required when using [BoM](/docs/bom/versions.md))


